javax.persistence.metamodel

## Interface ListAttribute<X,E>

Type Parameters:
  `X` - The type the represented List belongs to
  `E` - The element type of the represented List

All Superinterfaces:
  Attribute<X,java.util.List<E>>, Bindable<E>, PluralAttribute<X,java.util.List<E>,E>

    public interface ListAttribute<X,E>
    extends PluralAttribute<X,java.util.List<E>,E>

Instances of the type `ListAttribute` represent persistent `javax.util.List`-valued attributes.

Since:
  Java Persistence 2.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.PluralAttribute

`PluralAttribute.CollectionType`

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute

`Attribute.PersistentAttributeType`

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable

`Bindable.BindableType`

### Method Summary

### Methods inherited from interface javax.persistence.metamodel.PluralAttribute

`getCollectionType, getElementType`

### Methods inherited from interface javax.persistence.metamodel.Attribute

`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, isAssociation, isCollection`

### Methods inherited from interface javax.persistence.metamodel.Bindable

`getBindableJavaType, getBindableType`